/*
 ============================================================================
 Name        : OutAndInAgain.c
 Author      : Matt Boutell
 Description : Created by Matt Boutell, Fall 2007, modified by Delvin Defoe, Feb 10, 2008.
 Writes to a file first so we can check the contents of data.txt. Then reads it back in
 and prints what it read. Shows that if we read from a non-existent file without checking
 for that case, the program will crash.
  ============================================================================
 */

#include <stdio.h>
#include <stdlib.h>

#define MAX_LENGTH 80

/* Note:  Disable ''build automatically'' in Eclipse if you wish to see your
 * output.
 */

int main() {
	/* 1. Declare a file pointer called outFile and
	 * open a file called "data.txt" for writing.
	 * Assign the opened file to outFile. */

	/* 2. Check to see if the file is successfully opened
	 * If the file does not open successfully, print error message
	 * and exit the program */

	/* Great!  The file is successfully opened. */

	/* 3.  Write the string "hello there, how's it going?" to the file*/

	/* 4. Close the output file */

	/* 5. Confirm that data.txt has been created and has the
	 * correct contents */

	/* 6. Declare a file pointer called inFile and
	 * open the file called "data.txt" for reading.
	 * Assign the opened file to inFile. */

	/* 7. Check to see if the file is successfully opened
	 * If the file does not open successfully, print error message
	 * and exit the program */

	/* 8. Declare a string called word that holds MAX_LENGTH -1 characters
	 * for reading text from the file. */

	/* 9. Using fscanf in a while loop, read each word from inFile and print
	 * it to the console. Note: as a string, word is already a memory
	 * location, so no & is needed in fscanf.
	 * scanf returns the number of items read (-1 if nothing is read);
	 * this technique is more robust than testing for feof in the loop. */

	/* 10. Close the input file */

	return 0;
}
